# $Revision: 1.24.2.2 $, $Date: 2003/04/28 12:51:54 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	XML
%define	pnam	Writer
Summary:	XML::Writer perl module
Summary(pl):	Modu perla XML::Writer
Name:		perl-XML-Writer
Version:	0.4
Release:	7
License:	GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildRequires:	perl >= 5.6.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::Writer - module for writing XML documents.

%description -l pl
XML::Writer - modu do pisania dokumentw XML.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/XML/Writer.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-XML-Writer.spec,v $
Revision 1.24.2.2  2003/04/28 12:51:54  ankry
- really rel++

Revision 1.24.2.1  2003/03/13 00:59:27  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.24  2003/02/25 00:43:22  radek
- use the __perl macro

Revision 1.23  2003/02/18 15:39:18  ankry
- massive attack: change CPAN URLs

Revision 1.22  2002/11/25 15:06:54  marcus
- use new %%doc

Revision 1.21  2002/07/10 09:03:09  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.20  2002/05/11 14:28:14  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.19  2002/02/25 10:35:40  depesz
cleanup; revision++

Revision 1.18  2002/02/22 23:29:34  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.17  2002/02/13 21:51:50  kloczek
- spec adapterized.

Revision 1.16  2002/02/13 14:21:40  depesz
automatic: Source location unfied, Relase Up

Revision 1.15  2002/02/10 15:38:42  depesz
adapterized

Revision 1.14  2002/01/18 02:14:34  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:26  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:18:46  baggins
- release 3
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:11  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2001/01/26 02:41:52  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.9  2000/08/10 11:03:36  kloczek
- updated to 0.4.

Revision 1.8  2000/06/09 07:55:02  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:46  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/23 18:05:26  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:34  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:55:03  baggins
- translated kloczkish into english

Revision 1.3  2000/02/14 20:16:25  pius
- updated to 0.3

Revision 1.2  1999/11/07 09:18:48  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/20 19:46:50  pius
- initial release
